> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Account Data

> Fetch account metadata associated with the given token



## OpenAPI

````yaml GET /toucan/tokens/{tokenRefId}/account
openapi: 3.0.0
info:
  title: Toucan API
  version: 1.0.0
servers:
  - url: https://services.sandbox.pagosapi.com
  - url: https://services.prod.pagosapi.com
security:
  - bearerAuth: []
paths:
  /toucan/tokens/{tokenRefId}/account:
    get:
      tags:
        - Toucan Tokenization
      summary: Fetch account metadata
      description: Fetch account metadata associated with the given token
      operationId: Account
      parameters:
        - name: x-merchant-id
          in: header
          required: true
          description: Merchant identifier for requests.
          schema:
            type: string
            nullable: false
        - name: tokenRefId
          in: path
          required: true
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Account metadata fetched successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsResponsesAccountDto
        '400':
          description: An error occurred while trying to fetch account metadata
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
        '500':
          description: Server Error
          content:
            application/problem+json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
components:
  schemas:
    ToucanTokenAPIApplicationContractsResponsesAccountDto:
      type: object
      additionalProperties: false
      properties:
        cardNetworkName:
          type: string
        tokenAccount:
          nullable: true
          oneOf:
            - $ref: >-
                #/components/schemas/ToucanTokenAPIApplicationContractsTokenAccount
        backgroundColor:
          type: string
          nullable: true
        foregroundColor:
          type: string
          nullable: true
        labelColor:
          type: string
          nullable: true
        contactName:
          type: string
          nullable: true
        contactWebsite:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
        contactNumber:
          type: string
          nullable: true
        termsAndConditionsUrl:
          type: string
          nullable: true
        privacyPolicyUrl:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        longDescription:
          type: string
          nullable: true
        assets:
          type: array
          nullable: true
          items:
            $ref: >-
              #/components/schemas/ToucanTokenAPIApplicationContractsResponsesAssetResponse
        cardArt:
          type: array
          nullable: true
          items:
            $ref: >-
              #/components/schemas/ToucanTokenAPIApplicationContractsResponsesCardArtResponse
        metadata:
          type: string
        assetStatus:
          $ref: >-
            #/components/schemas/ToucanTokenAPIApplicationContractsResponsesAssetStatus
        tokenUniqueReference:
          type: string
          deprecated: true
          nullable: true
    ToucanTokenAPIApplicationContractsTraceableErrorResponse:
      type: object
      additionalProperties: false
      properties:
        code:
          type: integer
          format: int32
        requestId:
          type: string
        errorDetails:
          $ref: '#/components/schemas/ToucanTokenAPIApplicationContractsErrorDetails'
    ToucanTokenAPIApplicationContractsTokenAccount:
      type: object
      additionalProperties: false
      properties:
        last4:
          type: string
          nullable: true
        expirationDate:
          nullable: true
          oneOf:
            - $ref: >-
                #/components/schemas/ToucanTokenAPIApplicationContractsTokenAccount_ExpirationDate
        par:
          type: string
          nullable: true
    ToucanTokenAPIApplicationContractsResponsesAssetResponse:
      type: object
      additionalProperties: false
      properties:
        assetId:
          type: string
        assetData:
          type: string
          nullable: true
    ToucanTokenAPIApplicationContractsResponsesCardArtResponse:
      type: object
      additionalProperties: false
      properties:
        url:
          type: string
        description:
          type: string
          nullable: true
        height:
          type: integer
          format: int32
          nullable: true
        width:
          type: integer
          format: int32
          nullable: true
        type:
          $ref: >-
            #/components/schemas/ToucanTokenAPIApplicationContractsResponsesCardArtType
    ToucanTokenAPIApplicationContractsResponsesAssetStatus:
      type: string
      description: ''
      x-enumNames:
        - Available
        - Pending
        - Unavailable
      enum:
        - available
        - pending
        - unavailable
    ToucanTokenAPIApplicationContractsErrorDetails:
      type: object
      additionalProperties: false
      properties:
        reason:
          type: string
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ToucanTokenAPIApplicationContractsErrorDetail'
    ToucanTokenAPIApplicationContractsTokenAccount_ExpirationDate:
      type: object
      additionalProperties: false
      properties:
        month:
          type: string
        year:
          type: string
    ToucanTokenAPIApplicationContractsResponsesCardArtType:
      type: string
      description: ''
      x-enumNames:
        - Icon
        - Card_Art
      enum:
        - icon
        - card_art
    ToucanTokenAPIApplicationContractsErrorDetail:
      type: object
      additionalProperties: false
      properties:
        location:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Format is: `Bearer <api_key>`, where `<api_key>` is your Pagos API key'

````